Name:           v4l2ucp
Version:        1.3
Release:        4%{?dist}
Summary:        Video4linux universal control panel
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://v4l2ucp.sourceforge.net/
Source0:        http://downloads.sourceforge.net/v4l2ucp/v4l2ucp-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         v4l2ucp-1.3-default-dev.patch
Patch1:         v4l2ucp-1.3-libv4l.patch
Patch2:         v4l2ucp-1.3-v4l2ctrl-nextflag.patch
# This image was taken from camorama, which is also licensed GPLv2+
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  qt3-devel libXi-devel libXmu-devel libv4l-devel
BuildRequires:  desktop-file-utils
Requires:       hicolor-icon-theme

%description
v4l2 is a control panel for video4linux2 devices, it reads a description of the
controls that the V4L2 device supports from the device, and presents the user
with a graphical means for adjusting those controls. It allows for controlling
multiple devices. Controls can be updated with the device status either
manually, or periodically and there is an easy way to reset one or all the
controls to their default state.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/24x24/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/%{name}
%{_bindir}/v4l2ctrl
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png


%changelog
* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> 1.3-4
- Update desktop file according to F-12 FedoraStudio feature

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 25 2009 Hans de Goede <hdegoede@redhat.com> 1.3-2
- Add libv4l support

* Mon May 25 2009 Hans de Goede <hdegoede@redhat.com> 1.3-1
- New upstream release 1.3

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Hans de Goede <hdegoede@redhat.com> 1.2-2
- Fix the rpm group
- Add a comment about the source of the icon we're using

* Thu Oct 23 2008 Hans de Goede <hdegoede@redhat.com> 1.2-1
- Initial Fedora package
